POST Agents/ViewState/PublishAndRetrieveUiEvents
Some tooltip text!
• 3 minutes to read
• 3 minutes to read
POST /api/v1/Agents/ViewState/PublishAndRetrieveUiEvents
Publish zero or more events, and return any new events since the given event id.
The initial implementation is in-memory only; applies solely to the front-end web server; and anything older than 20 minutes is discarded NsApiSlow threshold: 5000 ms.
Query String Parameters
| Parameter Name | Type | Description |
|---|---|---|
| $select | string | Optional comma separated list of properties to include in the result. Other fields are then nulled out to reduce payload size: "Name,department,category". Default = show all fields. |
POST /api/v1/Agents/ViewState/PublishAndRetrieveUiEvents?$select=name,department,category/id
Request Headers
| Parameter Name | Description |
|---|---|
| Authorization | Supports 'Basic', 'SoTicket' and 'Bearer' schemes, depending on installation type. |
| X-XSRF-TOKEN | If not using Authorization header, you must provide XSRF value from cookie or hidden input field |
| Content-Type | Content-type of the request body: application/json, text/json, application/xml, text/xml, application/x-www-form-urlencoded, application/json-patch+json, application/merge-patch+json |
| Accept | Content-type(s) you would like the response in: application/json, text/json, application/xml, text/xml, application/json-patch+json, application/merge-patch+json |
| Accept-Language | Convert string references and multi-language values into a specified language (iso2) code. |
| SO-Language | Convert string references and multi-language values into a specified language (iso2) code. Overrides Accept-Language value. |
| SO-Culture | Number, date formatting in a specified culture (iso2 language) code. Partially overrides SO-Language/Accept-Language value. Ignored if no Language set. |
| SO-TimeZone | Specify the timezone code that you would like date/time responses converted to. |
| SO-AppToken | The application token that identifies the partner app. Used when calling Online WebAPI from a server. |
Request Body: request
LatestKnownEventId, PublishEvents, Metrics
| Property Name | Type | Description |
|---|---|---|
| LatestKnownEventId | Integer | |
| PublishEvents | Array | |
| Metrics | Array |
Response:array
OK
| Response | Description |
|---|---|
| 200 | OK |
Response body: array
| Property Name | Type | Description |
|---|---|---|
| EventId | int32 | Id of event, increasing in chronological order, assigned by server |
| EventName | string | Name of event, for instance 'change' or 'edit' |
| EntityType | string | Name of entity, for instance 'ticket' |
| EntityKey | int32 | Primary key of entity the event concerns |
| AssociateId | int32 | The ID of the associate causing the event |
| AssociateName | string | The full person name of the associate causing the event |
| EventDateTime | date-time | When did the event happen |
| TableRight | TableRight | The carrier's table right |
| FieldProperties | object | Field property dictionary mapping field names to field access rights. |
Sample request
POST /api/v1/Agents/ViewState/PublishAndRetrieveUiEvents
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: sv
Content-Type: application/json; charset=utf-8
{
"LatestKnownEventId": 735,
"PublishEvents": [
{
"EventId": 227,
"EventName": "White-Spencer",
"EntityType": "pariatur",
"EntityKey": 792,
"AssociateId": 8,
"AssociateName": "Connelly, Lesch and Oberbrunner",
"EventDateTime": "2017-02-03T10:11:01.8736815+01:00"
}
],
"Metrics": [
{
"Name": "Fadel LLC",
"Value": 424
},
{
"Name": "Fadel LLC",
"Value": 424
}
]
}
Sample response
HTTP/1.1 200 OK
Content-Type: application/json; charset=utf-8
[
{
"EventId": 1,
"EventName": "ContactChanged",
"EntityType": "Contact",
"EntityKey": 123,
"AssociateId": 5,
"AssociateName": "John Anderson",
"EventDateTime": "2024-11-28T14:30:00+01:00",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.String",
"FieldLength": 600
}
}
}
]